Bug 495891 - RFE: refresh version to current upstream gateway-1.4.3.tar.gz
RFE: refresh version to current upstream gateway-1.4.3.tar.gz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kannel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 09:34 EDT by R P Herrold
Modified: 2009-09-12 11:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 11:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to 1.4.3, some small improvements (4.02 KB, patch)
2009-06-24 18:45 EDT, Ville Skyttä
no flags Details | Diff
SSL detection patch (588 bytes, patch)
2009-06-24 18:47 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description R P Herrold 2009-04-15 09:34:10 EDT
Description of problem:

Upstream has fresh stable releases

Version-Release number of selected component (if applicable):

gateway-1.4.3.tar.gz

How reproducible:

I know that this may be assigned to Matthias (who announced he was dialling packages back recently), but if you retain this package, could we get a freshen version into RawHide, please?

http://www.kannel.org/download/1.4.3/gateway-1.4.3.tar.gz
Comment 1 R P Herrold 2009-04-15 09:43:53 EDT
Building the current RawHide version I also note that it is not well multi-lib aware, and calls for library search paths which are not found in Red Hat derived distributions:

gcc -D_REENTRANT=1 -I. -Igw -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_XOPEN_SOURCE=600 -D_BSD_SOURCE -I/usr/include/libxml2  -I/usr/include/openssl -rdynamic -o test/fakesmsc test/fakesmsc.o libgw.a libwmlscript.a libwap.a libgwlib.a -lssl -lrt -lresolv -lnsl -lm  -lpthread -lxml2 -lz -lm -lpcre -L/usr/lib -lcrypto -lssl -L/usr/local/lib -lsqlite3

'/usr/local/lib'  is clearly a stray; use of /usr/lib, rather than %{_libdir} seems like it need to be patches as well
Comment 2 Matthias Saou 2009-04-15 11:04:23 EDT
Yeah, kannel isn't one of those clean and portable builds, it's closer to asterisk and years old mozilla sources :-) Feel free to continue looking at it and send patches or fixes, otherwise I'll have a look ASAP, but since normally the final freeze for F-11 was yesterday, there's no rush anymore.
Comment 3 Ville Skyttä 2009-06-24 18:45:45 EDT
Created attachment 349313 [details]
Update to 1.4.3, some small improvements

1.4.2+ fixes a security issue so I think this deserves some attention.

http://www.kannel.org/news.shtml
"Fixed security and race condition issue in HTTP module for keep-alive connections."

Patches taking care of the update are attached (build without mysql/postgresql tested on F-10, F-11 and EL-5, runtime tested on F-11), let me know if you'd like me to commit and build this for devel.  Dunno about the compatibility issues upstream mentions in the above URL; you be the judge whether to push this to released distro versions.  FWIW, my old config files that worked for 1.4.1 seem to work with 1.4.3 fine as well.  But they're quite basic ones.
Comment 4 Ville Skyttä 2009-06-24 18:47:38 EDT
Created attachment 349314 [details]
SSL detection patch

I suppose upstream could accept a similar patch to configure.in as this one (which is against configure for simplicity).

gateway-1.4.1-ssl64bit.patch is no longer needed.
Comment 5 Ville Skyttä 2009-06-24 19:10:47 EDT
Oh, and the SSL detection patch could be improved further:

1) Test for lib64 paths before lib ones
2) Break out of the "loc" finding loop as soon as the first matching dir is found.

...or ditch the homebrew logic altogether and just use pkgconfig.

If you'd like me to commit these patches to CVS, I can make these adjustments to the ssl detection patch while at it (let me know which approach of the above you'd prefer) - I'm too lazy to submit another one right now.
Comment 6 Matthias Saou 2009-06-25 11:12:11 EDT
Ville : You are more than welcome to update and commit these patches to CVS! :-)
Comment 7 Ville Skyttä 2009-06-25 18:11:31 EDT
Ok, done and built for Rawhide.  I ended up taking the pkg-config approach in the SSL detection patch.

I'll leave this bug open for you to decide/as a reminder whether to push 1.4.3 to earlier distro versions.
Comment 8 R P Herrold 2009-07-14 11:09:02 EDT
thank you for the update in RawHide -- I confirm it builds fine under CentOS 5

Wrote: /home/herrold/rpmbuild/SRPMS/kannel-1.4.3-1orc.src.rpm
Wrote: /home/herrold/rpmbuild/RPMS/x86_64/kannel-1.4.3-1orc.x86_64.rpm
Wrote: /home/herrold/rpmbuild/RPMS/x86_64/kannel-devel-1.4.3-1orc.x86_64.rpm
Wrote: /home/herrold/rpmbuild/RPMS/x86_64/kannel-docs-1.4.3-1orc.x86_64.rpm
Wrote: /home/herrold/rpmbuild/RPMS/x86_64/kannel-debuginfo-1.4.3-1orc.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.50082
Comment 9 Matthias Saou 2009-09-12 11:28:07 EDT
My simple testing has also shown no compatibility issues after updating to 1.4.3, so I've pushed the update to EPEL5.

Thanks for your work, Ville!

Note You need to log in before you can comment on or make changes to this bug.